'use strict';

var _defaults = require('lodash/defaults');

var _defaults2 = _interopRequireDefault(_defaults);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (opts) {
  return (0, _defaults2.default)(opts, {
    injectStyles: '\n    .accessibility-error {\n      box-shadow: 0 0 3px 1px #f00;\n      background-color: rgba(255, 0, 0, 0.25);\n      position: relative;\n    }\n    .accessibility-error:before {\n      content: "A11Y";\n      position: absolute;\n      top: 0;\n      left: 0;\n      padding: 1px 3px;\n      border-radius: 3px 3px 0 0;\n      color: #fff;\n      font-size: 10px;\n      background-color: #f00;\n      transform: translateY(-100%);\n    }\n  ',
    errorClassName: 'accessibility-error',
    onError: function onError(error) {
      console.warn('%cA11y Error:%c', 'border-radius: 3px; padding: 1px 3px; background: #2d81a2; color: white', '', error.name, error.element);
    }
  });
};